#!/usr/bin/env node
"use strict";

var _chokidar = _interopRequireDefault(require("chokidar"));

var _fs = _interopRequireDefault(require("fs"));

var _fsExtra = _interopRequireDefault(require("fs-extra"));

var _utils = require("../libs/utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const run = async ({
  watchGlob,
  packagesDir,
  srcDir,
  buildDir,
  babelConfig
}) => {
  const watcher = _chokidar.default.watch(watchGlob, {
    ignoreInitial: true
  });

  watcher.on('add', file => (0, _utils.compileFile)({
    file,
    babelConfig,
    packagesDir,
    srcDir,
    buildDir
  }));
  watcher.on('change', file => (0, _utils.compileFile)({
    file,
    babelConfig,
    packagesDir,
    srcDir,
    buildDir
  }));
  watcher.on('unlink', srcPath => _fs.default.unlinkSync((0, _utils.getBuildDestinationPath)({
    srcPath,
    packagesDir,
    srcDir,
    buildDir
  })));
  watcher.on('unlinkDir', srcPath => _fsExtra.default.remove((0, _utils.getBuildDestinationPath)({
    srcPath,
    packagesDir,
    srcDir,
    buildDir
  })));
  return watcher;
};

run((0, _utils.makeConfig)());